Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jdbc.pool
Class FairBlockingQueue.ItemFuture<T>

    java.lang.Object
      org.apache.tomcat.jdbc.pool.FairBlockingQueue.ItemFuture<T>

All Implemented Interfaces:
  Future<T>

Enclosing class:
  FairBlockingQueue<E>

    protected class FairBlockingQueue.ItemFuture<T>

extends Object
implements Future<T>

Field Summary
`protected boolean` | `canceled`
`protected T` | `item`
`protected FairBlockingQueue.ExchangeCountDownLatch<T>` | `latch`

Constructor Summary
`FairBlockingQueue.ItemFuture(FairBlockingQueue.ExchangeCountDownLatch<T> latch)`
`FairBlockingQueue.ItemFuture(T item)`

Method Summary
`boolean` | `cancel(boolean mayInterruptIfRunning)`
`T` | `get()`
`T` | `get(long timeout, TimeUnit unit)`
`boolean` | `isCancelled()`
`boolean` | `isDone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### item

    protected volatile T item

### latch

    protected volatile FairBlockingQueue.ExchangeCountDownLatch<T> latch

### canceled

    protected volatile boolean canceled

Constructor Detail

### FairBlockingQueue.ItemFuture

    public FairBlockingQueue.ItemFuture(T item)

### FairBlockingQueue.ItemFuture

    public FairBlockingQueue.ItemFuture(FairBlockingQueue.ExchangeCountDownLatch<T> latch)

Method Detail

### cancel

    public boolean cancel(boolean mayInterruptIfRunning)

  Specified by:
    `cancel` in interface `Future<T>`

### get

    public T get()
          throws InterruptedException,
                 ExecutionException

  Specified by:
    `get` in interface `Future<T>`
  Throws:
    `InterruptedException`
    `ExecutionException`

### get

    public T get(long timeout,
                 TimeUnit unit)
          throws InterruptedException,
                 ExecutionException,
                 TimeoutException

  Specified by:
    `get` in interface `Future<T>`
  Throws:
    `InterruptedException`
    `ExecutionException`
    `TimeoutException`

### isCancelled

    public boolean isCancelled()

  Specified by:
    `isCancelled` in interface `Future<T>`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `Future<T>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.